com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles:

## Public Types

typedef com::lomiri::location::service::Interface | Interface
typedef std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > | ValueType

## Static Public Member Functions

static const std::string & | name ()

## Static Public Attributes

static const bool | readable = true
static const bool | writable = false

## Detailed Description

Definition at line 160 of file service/interface.h.

## Member Typedef Documentation

## Interface

typedef com::lomiri::location::service::Interface com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles::Interface

Definition at line 171 of file service/interface.h.

## ValueType

typedef std::map<com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle> com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles::ValueType

Definition at line 172 of file service/interface.h.

## Member Function Documentation

## name()

const std::string & com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles::name | ( |  | ) |

inline static

Definition at line 162 of file service/interface.h.

## Member Data Documentation

## readable

const bool com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles::readable = true

static

Definition at line 174 of file service/interface.h.

## writable

const bool com::lomiri::location::service::Interface::Properties::VisibleSpaceVehicles::writable = false

static

Definition at line 175 of file service/interface.h.

The documentation for this struct was generated from the following file:

- service/interface.h